RHOSP:7.5 contrail vrouter ko module insertion failed after redhat 7.5 (new release) kernel version change

Bug #1764537 reported by shajuvk on 2018-04-16
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Juniper Openstack
Critical
Kumar Harsh
R3.2
Critical
Kumar Harsh
R4.1
Critical
Kumar Harsh
R5.0
Critical
Kumar Harsh
Trunk
Critical
Kumar Harsh

Bug Description

CB build.
CONTRAIL_VERSION: 4.1.1.0
CONTRAIL_VERSION_BUILD: 113

Contrail vrouter module insertion failed after Redhat changed the image from 7.4 to 7.5 new kernal version
RHEL 7.5 new kernal version:
-----------------------------

Kernal version new : --> 3.10.0-862.el7

Contrail packaged kernel version in R4.1.1 ---> 3.10.0-327.10.1.el7

We need to build a new ko matching with new kernal.

Screenshot attached

shajuvk (shajuvk) wrote :
tags: added: vrouter
shajuvk (shajuvk) wrote :
information type: Proprietary → Public
summary: RHOSP:7.5 contrail vrouter ko module insertion failed after redhat 7.5
- new kernel version change
+ (new release) kernel version change

Review in progress for https://review.opencontrail.org/42557
Submitter: Kumar Harsh (<email address hidden>)

OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/42574
Submitter: Kumar Harsh (<email address hidden>)

Review in progress for https://review.opencontrail.org/42557
Submitter: Kumar Harsh (<email address hidden>)

Review in progress for https://review.opencontrail.org/42574
Submitter: Kumar Harsh (<email address hidden>)

Reviewed: https://review.opencontrail.org/42574
Committed: http://github.com/Juniper/contrail-packaging/commit/16a6c7e0cade8083dabc43efbe8933c22749da56
Submitter: Zuul (<email address hidden>)
Branch: R4.1

commit 16a6c7e0cade8083dabc43efbe8933c22749da56
Author: Kumar Harsh <email address hidden>
Date: Fri Apr 27 12:07:12 2018 +0530

Add new kernel packages for redhat 7.5

Change-Id: I75248c8d8680a9995cb1f2f5550b1e1d815b7e54
Closes-Bug: #1764537

Reviewed: https://review.opencontrail.org/42557
Committed: http://github.com/Juniper/contrail-packages/commit/4bb14c6333107a5f19d21aa3f6c554939feaeb73
Submitter: Zuul (<email address hidden>)
Branch: R4.1

commit 4bb14c6333107a5f19d21aa3f6c554939feaeb73
Author: Kumar Harsh <email address hidden>
Date: Thu Apr 26 22:23:25 2018 +0530

Build vrouter with 3.10.0-862.el7 kernel version for redhat 7.5

Change-Id: I9e332b719f923d78e53a400cd31f3e87bc741d37
Closes-Bug: #1764537

Review in progress for https://review.opencontrail.org/43155
Submitter: Kumar Harsh (<email address hidden>)

Reviewed: https://review.opencontrail.org/43155
Committed: http://github.com/Juniper/contrail-packaging/commit/df6f2ccbde785a824b0af6bffbc2aa878cd4572e
Submitter: Zuul (<email address hidden>)
Branch: R4.1

commit df6f2ccbde785a824b0af6bffbc2aa878cd4572e
Author: Kumar Harsh <email address hidden>
Date: Fri May 18 12:03:25 2018 +0530

Update compilers for R4.1, redhat builds.

Change-Id: Ib617fabe38814740d0f87f2a5598c608bc64762d
Closes-Bug: #1764537

Review in progress for https://review.opencontrail.org/43424
Submitter: Kumar Harsh (<email address hidden>)

Review in progress for https://review.opencontrail.org/43456
Submitter: Kumar Harsh (<email address hidden>)

Review in progress for https://review.opencontrail.org/43520
Submitter: Kumar Harsh (<email address hidden>)

Vineet Gupta (vineetrf) on 2018-06-05
tags: added: sanity
removed: sanityblocker
Kumar Harsh (hkumar) wrote :

3.10.0-862.el7 is already supported in mainline and R5.0

Reviewed: https://review.opencontrail.org/43520
Committed: http://github.com/Juniper/contrail-vrouter/commit/a7e853d0ead01cb7100392bef10f47067d2c959f
Submitter: Zuul (<email address hidden>)
Branch: R3.2

commit a7e853d0ead01cb7100392bef10f47067d2c959f
Author: Kumar Harsh <email address hidden>
Date: Tue Jun 5 13:36:35 2018 +0530

Port vrouter compilatin fixes for 3.10.0-862 rehat kernel .

Change-Id: I419eb0313e51866160162a9c9bd015bf8bda31d1
Closes-Bug: #1764537

Kumar Harsh (hkumar) on 2018-06-27
Changed in juniperopenstack:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers